codecs (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class codecs

    java.lang.Object
      |
      +--org.python.core.codecs

public class codecs
extends java.lang.Object

Contains the implementation of the builtin codecs.

Since:
  Jython 2.0

Constructor Summary
`codecs()`

Method Summary
`static PyString` | `decode(PyString v, java.lang.String encoding, java.lang.String errors)`
`static void` | `decoding_error(java.lang.String type, java.lang.StringBuffer dest, java.lang.String errors, java.lang.String details)`
`static PyString` | `encode(PyString v, java.lang.String encoding, java.lang.String errors)`
`static void` | `encoding_error(java.lang.String type, java.lang.StringBuffer dest, java.lang.String errors, java.lang.String details)`
`static java.lang.String` | `getDefaultEncoding()`
`static PyTuple` | `lookup(java.lang.String encoding)`
`static java.lang.String` | `PyUnicode_DecodeASCII(java.lang.String str, int size, java.lang.String errors)`
`static java.lang.String` | `PyUnicode_DecodeRawUnicodeEscape(java.lang.String str, java.lang.String errors)`
`static java.lang.String` | `PyUnicode_DecodeUTF8(java.lang.String str, java.lang.String errors)`
`static java.lang.String` | `PyUnicode_EncodeASCII(java.lang.String str, int size, java.lang.String errors)`
`static java.lang.String` | `PyUnicode_EncodeRawUnicodeEscape(java.lang.String str, java.lang.String errors, boolean modifed)`
`static java.lang.String` | `PyUnicode_EncodeUTF8(java.lang.String str, java.lang.String errors)`
`static void` | `register(PyObject search_function)`
`static void` | `setDefaultEncoding(java.lang.String encoding)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### codecs

    public codecs()

Method Detail

### getDefaultEncoding

    public static java.lang.String getDefaultEncoding()

### setDefaultEncoding

    public static void setDefaultEncoding(java.lang.String encoding)

### register

    public static void register(PyObject search_function)

### lookup

    public static PyTuple lookup(java.lang.String encoding)

### decode

    public static PyString decode(PyString v,
                                  java.lang.String encoding,
                                  java.lang.String errors)

### encode

    public static PyString encode(PyString v,
                                  java.lang.String encoding,
                                  java.lang.String errors)

### PyUnicode_DecodeUTF8

    public static java.lang.String PyUnicode_DecodeUTF8(java.lang.String str,
                                                        java.lang.String errors)

### PyUnicode_EncodeUTF8

    public static java.lang.String PyUnicode_EncodeUTF8(java.lang.String str,
                                                        java.lang.String errors)

### PyUnicode_DecodeASCII

    public static java.lang.String PyUnicode_DecodeASCII(java.lang.String str,
                                                         int size,
                                                         java.lang.String errors)

### PyUnicode_EncodeASCII

    public static java.lang.String PyUnicode_EncodeASCII(java.lang.String str,
                                                         int size,
                                                         java.lang.String errors)

### PyUnicode_EncodeRawUnicodeEscape

    public static java.lang.String PyUnicode_EncodeRawUnicodeEscape(java.lang.String str,
                                                                    java.lang.String errors,
                                                                    boolean modifed)

### PyUnicode_DecodeRawUnicodeEscape

    public static java.lang.String PyUnicode_DecodeRawUnicodeEscape(java.lang.String str,
                                                                    java.lang.String errors)

### encoding_error

    public static void encoding_error(java.lang.String type,
                                      java.lang.StringBuffer dest,
                                      java.lang.String errors,
                                      java.lang.String details)

### decoding_error

    public static void decoding_error(java.lang.String type,
                                      java.lang.StringBuffer dest,
                                      java.lang.String errors,
                                      java.lang.String details)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage